5.2.0-git
04/18/2014

[#7625] Horde_Alarm Firefox extension
Summary Horde_Alarm Firefox extension
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 11/01/2008 (1994 days ago)
Due
Updated 11/06/2008 (1989 days ago)
Assigned
Resolved
Milestone
Patch No

History
11/06/2008 02:33:49 AM Chuck Hagenbuch State ⇒ Accepted
 
11/01/2008 06:35:40 PM Chuck Hagenbuch Comment #3 Reply to this comment
- can we access the password manager from a firefox extension?
Yes.
- is the user logged in to a web application, if an extension is
logged in to it? I.e. is there a shared cookie between extensions and
the main browser?
It depends on how we do the auth. I imagine if we do the auth with 
cookies, the answer is yes. If we send auth credentials with each 
alarms ping (say using json-rpc), then the answer is no.
11/01/2008 11:35:44 AM Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
The user still need to be logged in for that. We would have to store 
the user's credentials somewhere for that. That poses two questions:

- can we access the password manager from a firefox extension?

- is the user logged in to a web application, if an extension is 
logged in to it? I.e. is there a shared cookie between extensions and 
the main browser?
11/01/2008 03:15:27 AM Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Base
Summary ⇒ Horde_Alarm Firefox extension
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Create a Firefox (and Thunderbird) extension that monitors for alarms 
even when the user isn't logged in to Horde.